import { Change, CriticalityLevel } from '@graphql-inspector/core';
import { Endpoint } from './config.js';
export declare function bolderize(msg: string): string;
export declare function quotesTransformer(msg: string, symbols?: string): string;
export declare function slackCoderize(msg: string): string;
export declare function discordCoderize(msg: string): string;
export declare function filterChangesByLevel(level: CriticalityLevel): (change: Change) => boolean;
export declare function createSummary(changes: Change[], summaryLimit: number, isLegacyConfig?: boolean): string;
export declare function isNil(val: any): val is undefined | null;
export declare function parseEndpoint(endpoint: Endpoint): {
    url: string;
    method: 'GET' | 'get' | 'post' | 'POST';
    headers?: {
        [name: string]: string;
    };
};
export declare function batch<T>(items: T[], limit: number): T[][];
export declare function objectFromEntries(iterable: any[]): any;
